from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session

from app.db.session import get_db

router = APIRouter()


@router.get("/")
async def get_orders(db: Session = Depends(get_db)):
    """
    Get list of orders
    """
    # Order retrieval will be implemented in a later step
    return {"detail": "Orders endpoint placeholder"}